MessageHandlerResultType (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket, enum: MessageHandlerResultType

# Enum MessageHandlerResultType

java.lang.Object
java.lang.Enum<MessageHandlerResultType>
org.apache.tomcat.websocket.MessageHandlerResultType

All Implemented Interfaces:
  `Serializable, Comparable<MessageHandlerResultType>, java.lang.constant.Constable`

public enum MessageHandlerResultType extends Enum<MessageHandlerResultType>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BINARY`
  `PONG`
  `TEXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageHandlerResultType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MessageHandlerResultType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BINARY

    public static final MessageHandlerResultType BINARY

  - ### TEXT

    public static final MessageHandlerResultType TEXT

  - ### PONG

    public static final MessageHandlerResultType PONG

- ## Method Details

  - ### values

    public static MessageHandlerResultType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MessageHandlerResultType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null